<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<geronimo-plugin xmlns="http://geronimo.apache.org/xml/ns/plugins-1.3" xmlns:ns2="http://geronimo.apache.org/xml/ns/attributes-1.2">
    <name>Geronimo Framework, Configs :: JMX Security Configuration</name>
    <category>Security</category>
    <pluginGroup>false</pluginGroup>
    <description>Secure (SSL/TSL) JMX Connector.</description>
    <url>http://geronimo.apache.org/</url>
    <author>The Apache Geronimo development community</author>
    <license osi-approved="true">The Apache Software License, Version 2.0</license>
    <plugin-artifact>
        <module-id>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>jmx-security</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </module-id>
        <geronimo-version>3.0.0</geronimo-version>
        <jvm-version>1.6</jvm-version>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>server-security-config</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.framework</groupId>
            <artifactId>j2ee-system</artifactId>
            <version>3.0.0</version>
            <type>car</type>
        </dependency>
        <source-repository>~/.m2/repository/</source-repository>
        <source-repository>http://repo1.maven.org/maven2/</source-repository>
        <source-repository>http://repository.apache.org/snapshots/</source-repository>
        <config-xml-content load="false">
            <ns2:gbean name="JMXSecureConnector">
                <ns2:attribute name="protocol">rmi</ns2:attribute>
                <ns2:attribute name="host">${ServerHostname}</ns2:attribute>
                <ns2:attribute name="port">${JMXSecurePort + PortOffset}</ns2:attribute>
                <ns2:attribute name="urlPath">/jndi/rmi://${ServerHostname}:${NamingPort + PortOffset}/JMXSecureConnector</ns2:attribute>
                <ns2:attribute name="algorithm">Default</ns2:attribute>
                <ns2:attribute name="secureProtocol">TLS</ns2:attribute>
                <ns2:attribute name="keyStore">geronimo-default</ns2:attribute>
                <ns2:attribute name="keyAlias">geronimo</ns2:attribute>
                <ns2:attribute name="trustStore">geronimo-default</ns2:attribute>
                <ns2:attribute name="clientAuth">false</ns2:attribute>
            </ns2:gbean>
        </config-xml-content>
        <artifact-alias key="org.apache.geronimo.framework/jmx-security/3.0-beta-1/car">org.apache.geronimo.framework/jmx-security/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.framework/jmx-security/3.0-M1/car">org.apache.geronimo.framework/jmx-security/3.0.0/car</artifact-alias>
        <artifact-alias key="org.apache.geronimo.framework/jmx-security//car">org.apache.geronimo.framework/jmx-security/3.0.0/car</artifact-alias>
        <config-substitution key="JMXSecurePort">9998</config-substitution>
        <config-substitution key="keyStorePassword">{Simple}rO0ABXNyABlqYXZheC5jcnlwdG8uU2VhbGVkT2JqZWN0PjY9psO3VHACAARbAA1lbmNvZGVkUGFyYW1zdAACW0JbABBlbmNyeXB0ZWRDb250ZW50cQB+AAFMAAlwYXJhbXNBbGd0ABJMamF2YS9sYW5nL1N0cmluZztMAAdzZWFsQWxncQB+AAJ4cHB1cgACW0Ks8xf4BghU4AIAAHhwAAAAEArVToThqcjvbXFD5C2uUmpwdAADQUVT</config-substitution>
        <config-substitution key="trustStorePassword">{Simple}rO0ABXNyABlqYXZheC5jcnlwdG8uU2VhbGVkT2JqZWN0PjY9psO3VHACAARbAA1lbmNvZGVkUGFyYW1zdAACW0JbABBlbmNyeXB0ZWRDb250ZW50cQB+AAFMAAlwYXJhbXNBbGd0ABJMamF2YS9sYW5nL1N0cmluZztMAAdzZWFsQWxncQB+AAJ4cHB1cgACW0Ks8xf4BghU4AIAAHhwAAAAEArVToThqcjvbXFD5C2uUmpwdAADQUVT</config-substitution>
        <config-substitution key="geronimo">{Simple}rO0ABXNyABlqYXZheC5jcnlwdG8uU2VhbGVkT2JqZWN0PjY9psO3VHACAARbAA1lbmNvZGVkUGFyYW1zdAACW0JbABBlbmNyeXB0ZWRDb250ZW50cQB+AAFMAAlwYXJhbXNBbGd0ABJMamF2YS9sYW5nL1N0cmluZztMAAdzZWFsQWxncQB+AAJ4cHB1cgACW0Ks8xf4BghU4AIAAHhwAAAAEArVToThqcjvbXFD5C2uUmpwdAADQUVT</config-substitution>
        <config-substitution key="geronimo-default">{Simple}rO0ABXNyABlqYXZheC5jcnlwdG8uU2VhbGVkT2JqZWN0PjY9psO3VHACAARbAA1lbmNvZGVkUGFyYW1zdAACW0JbABBlbmNyeXB0ZWRDb250ZW50cQB+AAFMAAlwYXJhbXNBbGd0ABJMamF2YS9sYW5nL1N0cmluZztMAAdzZWFsQWxncQB+AAJ4cHB1cgACW0Ks8xf4BghU4AIAAHhwAAAAEArVToThqcjvbXFD5C2uUmpwdAADQUVT</config-substitution>
    </plugin-artifact>
</geronimo-plugin>
